[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TBevel.Visible

Makes the control visible or hidden.

## Declaration

Source position: extctrls.pp line 694

`published property TBevel.Visible : Boolean;`

## Description

The Visible property represents the ability to see a visual control. If Visible is True the control is shown, otherwise it is hidden. Calling Show sets Visible to True. Setting Visible to False is equivalent to calling Hide method.

Remark: | The Visible property does not depend on control's parent visibility. Use the IsVisible method to consider this and get the real visibility for the control.

## See also

TControl.IsVisible |  | Gets the effective visibility for the control and all of its Parent controls.
TControl.Hide |  | Hides the control by setting the Visible property to False.
TControl.Show |  | Makes the control visible by setting Visible to True.